Package twisted :: Package internet :: Module process

[frames | no frames]

## Module twisted.internet.process

UNIX Process management.

Do NOT use this module directly - use reactor.spawnProcess() instead.

Maintainer: Itamar Shtull-Trauring

Classes
`Process` | An operating-system Process.
`ProcessReader` | ProcessReader
`ProcessWriter` | (Internal) Helper class to write into a Process's input pipe.
`PTYProcess` | An operating-system Process that uses PTY support.

Exceptions
`ProcessExitedAlready` | The process has already excited, and the operation requested can no longer be performed.

Function Summary
| ``reapAllProcesses`()` Reap all registered processes.
| `registerReapProcessHandler(pid, process)`
| `unregisterReapProcessHandler(pid, process)`

Variable Summary
`dict` | `reapProcessHandlers` = `{}`

Function Details

### reapAllProcesses()

Reap all registered processes.

Variable Details

### reapProcessHandlers

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 2.0 on Sat May 15 20:08:13 2004 | http://epydoc.sf.net